Bug 130103 - gvim is confused by Japanese star
gvim is confused by Japanese star
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-16 22:39 EDT by Pete Zaitcev
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-13 20:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File with star (UTF-8) (54 bytes, application/octet-stream)
2004-08-16 22:42 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2004-08-16 22:39:44 EDT
gvim thinks that a Japanese star is a signle width character,
whereas in fact it is a double width character in Koichi fonts.

Note that gnome-terminal forces the star into single cell,
and so regular tty mode vim works fine. It looks quite ugly though.
Mozilla shows normal double-width star.

To reproduce, visit any webpage with star (it's on every other
Japanese webpage, and I'm going to attach a test file).
Select and paste into gvim, observe the fancy effects when
cursor starts flashing :-)

The UTF-8 code for the character is 0xe29885 in big-endian
(byte stream).
Comment 1 Pete Zaitcev 2004-08-16 22:42:26 EDT
Created attachment 102777 [details]
File with star (UTF-8)
Comment 2 Matthew Miller 2005-04-26 11:29:59 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Pete Zaitcev 2005-05-13 20:59:55 EDT
This seems to work in FC4T2 with vim-X11-6.3.067-1.
Although the fix was to treat the star as a single cell character. Eww...

Note You need to log in before you can comment on or make changes to this bug.